Subject: Re: network interface cards native vlans support in linux kernel?

From: Ben Greear <[email-masked]>
Date: Wed, 09 Jul 2003 10:15:41 -0700

Andrius Kasparavicius wrote:
> hello, as far as i know, currently there is no native vlan support in
> network device drivers. I mean, always need patching MTU.. add 4 bytes..
> :-(
> 
> is there any problems to include full vlans support?

Intel's e100 driver (and all NICs supported by it) support vlans
fine, as do most of the GigE NICs.  Tulip does not, last I hear, though
a work-around patch has been around forever.  Realtek worked at one time,
not sure about now though...

Ben

> Andrius

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear